* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  color: gray;
}

body {
  font-family: Arial, sans-serif;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
}

hr {
  display: block;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  margin-left: auto;
  margin-right: auto;
  border-style: inset;
  border-width: 3px;
  border-color: darkgray;
  width: 100%;
}

.container {
  display: flex;
  flex: 1;
  background-color: black;
}

.hiddenlink {
  color: gray;
  cursor: pointer;
  text-decoration: none;
}

header {
  position: fixed;
  margin-top: 0;
  margin-left: 0;
  margin-right: 0;
  width: 100%;
  height: 40px;
  background-color: #212121;
  color: #cdcdcd;
  .title {
    position: fixed;
    height: 40px;
    left: 0;
    top: 0;
    list-style-type: none;
    overflow: hidden;
  }

  .styleshift {
    position: relative;
    float: right;
    margin: 8px;
    margin-right: 230px;
    color: gray;
  }
  .styleshift:hover {
    background-color: #cdcdcd;
  }

  .h-title {
    vertical-align: middle;
    padding: 5px 10px;
    color: #cdcdcd;
  }

  .menu-links {
    position: fixed;
    right: 0;
    top: 0;
    list-style-type: none;
    overflow: hidden;
  }

  .menu-link {
    float: right;
    a {
      display: block;
      color: #cdcdcd;
      text-align: center;
      padding: 8px;
      text-decoration: none;
    }
    a:hover {
      background-color: darkgray;
    }
  }
}

.left::-webkit-scrollbar {
  display: none; /* For Chrome, Safari, and Opera */
}

.left {
  overflow: auto; /* Ensures content remains scrollable */
  scrollbar-width: none; /* For Firefox */
  -ms-overflow-style: none; /* For IE and older Edge */

  position: fixed;
  left: 0;
  top: 40px;
  bottom: 20px;
  max-width: 15%;
  min-width: 50px;
  padding: 12px;
  background-color: black;
  border-right: 1px solid gray;
  overflow-x: hidden;

  #session_panel {
    position: fixed;
    bottom: 25px;
    left: auto;
    max-width: min-content;
  }

  .h1-menu {
    list-style: none;
  }
  .h1-item {
    list-style: none;
    padding: 1px 0px;
  }
  .h1-item-head {
    font-size: medium;
    cursor: pointer;
    position: relative;
    border-radius: 8px;
    padding: 8px 12px;
    border: 2px solid saddlebrown;
  }
  .h1-item-head:hover {
    border-radius: 5px;
    background-color: darkgray;
  }

  .h2-menu {
    list-style: none;
  }
  .h2-item {
    list-style: none;
    padding: 4px 4px 4px 8px;
  }
  .h2-item-head {
    font-size: small;
    cursor: pointer;
    position: relative;
  }
  .h2-item-head:hover {
    border-radius: 5px;
    background-color: darkgray;
  }

  .h3-menu {
    list-style: none;
  }
  .h3-item {
    list-style: none;
    padding: 4px 4px 4px 16px;
  }
  .h3-item-head {
    font-size: small;
    cursor: pointer;
    position: relative;
  }
  .h3-item-head:hover {
    border-radius: 5px;
    background-color: darkgray;
  }

  .h4-menu {
    list-style: none;
  }
  .h4-item {
    list-style: none;
    padding: 4px 4px 4px 24px;
  }
  .h4-item-head {
    font-size: small;
    cursor: pointer;
    position: relative;
  }
  .h4-item-head:hover {
    border-radius: 5px;
    background-color: darkgray;
  }

  .s_panel {
    position: absolute;
    bottom: 0;
  }
}

.center::-webkit-scrollbar {
  display: none; /* For Chrome, Safari, and Opera */
}

.center {
  p {
    text-indent: 15px;
  }

  overflow: auto; /* Ensures content remains scrollable */
  scrollbar-width: none; /* For Firefox */
  -ms-overflow-style: none; /* For IE and older Edge */

  padding: 10px;
  background-color: black;

  width: 100%;
  max-width: 1200px;

  margin-top: 40px;
  margin-bottom: 20px;
  margin-left: 15%;
  margin-right: 50px;

  .img-map {
    height: "auto";
    width: "100%";
    max-width: 800px;
  }

  .route-box {
    display: grid;
    place-items: center;

    width: 100%;
    height: 100%;

    margin: auto;

    justify-content: space-around;
    align-content: center;
    justify-items: stretch;
  }

  .h1-item-head {
    font-size: medium;
    cursor: pointer;
    width: 300px;
    height: 50px;
    padding: 8px 12px;
    margin: 10px;

    display: grid;
    place-items: center;

    border-radius: 8px;
    border: 2px solid saddlebrown;

    justify-content: space-around;
    align-content: space-around;
    align-items: center;
    justify-items: stretch;
  }
  .h1-item-head:hover {
    border-radius: 5px;
    color: black;
    background-color: darkgray;
  }

  .h1-block-head {
    text-align: left;
  }

  .h1-block-head:hover {
    background-color: darkgray;
  }

  .h3-block-head:hover {
    background-color: darkgray;
  }

  .h4-block-head:hover {
    background-color: darkgray;
  }

  .h3-block-article {
    padding: 8px 20px;
    display: block;
    font-size: small;
  }

  .h4-block-article {
    padding: 8px 20px;
    display: block;
    font-size: small;
  }

  h3 {
    margin-top: 12px;
    scroll-margin-top: 50px;
  }

  h4 {
    margin-left: 16px;
    scroll-margin-top: 50px;
  }

  h5 {
    margin-left: 20px;
    scroll-margin-top: 50px;
  }

  h6 {
    margin-left: 24px;
    scroll-margin-top: 50px;
  }

  .article {
    padding: 8px 12px;
    display: block;
    font-size: small;
  }

  .articles {
    margin-left: 20px;
    border-left: 2px solid;
    margin-bottom: 10px;
  }

  table {
    margin-top: 15px;
    font-size: 12px;
    font-style: normal;
    border: 1px solid;
    max-width: 100%;
    min-width: 100%;
    scroll-behavior: auto;

    th {
      border: 1px solid;
    }

    td {
      min-width: auto;
      max-width: 200px;
      border: 1px solid;
      font-size: 12px;
    }

    .timeid {
      text-align: center;
    }
    .timedata {
      text-align: left;
    }
  }

  .gatescontainer {
    width: 80%;
    height: auto;
    .gatescanvas {
      background-color: gray;
    }
  }
}

.right::-webkit-scrollbar {
  display: none; /* For Chrome, Safari, and Opera */
}

.right {
  overflow: auto; /* Ensures content remains scrollable */
  scrollbar-width: none; /* For Firefox */
  -ms-overflow-style: none; /* For IE and older Edge */

  position: fixed;
  right: 0;
  top: 40px;
  bottom: 20px;
  background-color: black;
  padding: 0px;
  border-left: 1px solid gray;
  margin-top: 0;
  margin-right: 15px;
  overflow-x: hidden;

  max-width: 15%;

  .right-glos-pan {
    float: right;
    width: 90%;
    margin-top: 5px;
    margin-bottom: 5px;
  }

  .glossary {
    font-size: small;
    padding: 4px 12px;
  }
  .glossary:hover {
    border-radius: 5px;
    background-color: black;
  }
}

.right-mgmt {
  overflow: auto; /* Ensures content remains scrollable */
  position: fixed;
  right: 0;
  top: 40px;
  bottom: 20px;
  width: 15px;
  background-color: saddlebrown;
}
.right-mgmt:hover {
  background-color: burlywood;
}

.footer {
  position: fixed;
  height: 20px;
  width: 100%;
  bottom: 0;
  margin-left: 0;
  margin-right: 0;
  background-color: #212121;
  .rights {
    font-size: 8px;
    vertical-align: middle;
    text-align: right;
    color: #cdcdcd;
    padding: 5px 20px;
  }
}
